<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_lecture.php';

$lecture_id = "";
$class_id="";
$teacher_nam="";
$class_nam="";
$lecture_nam="";
$main_frame="";
$sub_frame = array();
$err_msg = "";

$material_id = "";
$practice_id="";
$vote_id="";
$current_event="";
$event_cnt = 0;
$sub_frames = "";
$note_frame = "";

ini_set("session.save_handler","files");
session_start();
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_USR];
//$admin_status =$ses_list['status'];
$st_id=$ses_list['student_id'];

if (isset($_GET["lecture_id"]) && is_numeric($_GET["lecture_id"])) {
	$lecture_id = $_GET["lecture_id"];
}
if (isset($_GET["class_id"]) && is_numeric($_GET["class_id"])) {
	$class_id = $_GET["class_id"];
}

if ($lecture_id == "" || $class_id == "") {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	if (isset($_GET["event_link_id"]) && is_numeric($_GET["event_link_id"])) {
		$current_event = $_GET["event_link_id"];
	}

	//$lecture_frame_object = new CUseLectureFrame();
	$lecture_frame_object = new CUseAfterLecture();

	//$lecture_frame_object->main("",$lecture_id);
	$lecture_frame_object->setFramesAfterLec($data_object->conn,$lecture_id,$st_id);
	//$lecture_frame_object->main($data_object->conn,$lecture_id);

	$sub_frame = $lecture_frame_object->getSubFrame();
	$event_cnt = count($sub_frame);
	$lec_status = $lecture_frame_object->getLecStatus();

	if ($event_cnt == 0 || ($lec_status <> 3)) {
		//٥ȤꤵƤʤ⤷ϼȤλ֤ǤʤΤǡϤǤʤ
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."usr/class/index.php");
		exit;
	}
		//楳
	$comment_durlec_link = "<a href='#' onClick=\"window.open('./comment_durlec_list.php?";
	$comment_durlec_link .= "lecture_id=".$lecture_id."','com_list','width=200,toolbar=0,scrollbars=1'";
	$comment_durlec_link .= ");return false;\">"._NORM_COMMON_LECTURE_SEE_DURLEC_COMMENT."</a><br/>";

	$lecture_nam = $lecture_frame_object->getLectureNam();

	$main_frame = $lecture_frame_object->getMainFrame();
	$event_link_csv = $lecture_frame_object->getEventLinkCsv();

	foreach($sub_frame as $event_link_id=>$frame_cont) {
		$sub_frames .= "<td valign='bottom' id = 'subframe_".$event_link_id."'>".$frame_cont;

		$sub_frames .= "<br/><a href='#' onClick='switchMainFrame(".$event_link_id.")'>";
		$sub_frames .= _NORM_COMMON_EVENT_VIEW."</a></td>";

	}
	$note_frame = "<iframe id='note_frame_id' name = 'note_frame' src='note_frame.php?lecture_id=".$lecture_id."' height='85%'></iframe>";

	$data_object->closeDB();
}


$show_data = file_get_contents(TEMPLATE_DIR.'usr_lec_info/after_lec.tpl');
$show_data = str_replace(':LEC_NAM_REP:', $lecture_nam, $show_data);
$show_data = str_replace(':COLNUM_REP:', $event_cnt, $show_data);
$show_data = str_replace(':MAIN_FRAME_REP:', $main_frame, $show_data);
$show_data = str_replace(':SUB_FRAMES_REP:', $sub_frames, $show_data);
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':NOTE_FRAME_REP:', $note_frame, $show_data);

$show_data = str_replace(':EVENT_LINK_CSV_REP:', $event_link_csv, $show_data);
$show_data = str_replace(':LECTURE_ID_REP:', $lecture_id, $show_data);
$show_data = str_replace(':CDUL_REP:', $comment_durlec_link, $show_data);

echo $show_data;

?>