<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';

if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$is_able = "";
$class_id = "";
$show_txt = "";
if ($_GET <> null) {
	$class_id = $_GET['class_id'];
	if (!is_numeric($class_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
}

//xoops
//XoopsCubeѤ
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}
	$class_mem_object = new CTeacherClassAccess();
	$mem_data = $class_mem_object->getClassMember($data_object->conn, $class_id);
	if ($mem_data == false) {
		$err_msg .= _COMMON_DB_NODATA_FOUND;
	} else {
//		$class_nam =  htmlspecialchars($mem_data[0]['class_nam'],ENT_QUOTES);
//		$teacher_nam =  htmlspecialchars($mem_data[0]['teacher_nam'],ENT_QUOTES);
		$class_nam =  htmlspecialchars(mb_convert_encoding($mem_data[0]['class_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES);
		$teacher_nam =  htmlspecialchars(mb_convert_encoding($mem_data[0]['teacher_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES);
		foreach ($mem_data as $one_mem) {
//			$show_txt .= "<tr><td>".htmlspecialchars($one_mem['student_nam'],ENT_QUOTES)."</td></tr>";
			$show_txt .= "<tr><td>".htmlspecialchars(mb_convert_encoding($one_mem['student_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES)."</td></tr>";

		}
	}

	if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
/*
$show_data = file_get_contents('../../templates/ad_class_reg/ad_cl_men_list.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM_REP:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEA_NAM_REP:', mb_convert_encoding($teacher_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':DATA_LIST:', mb_convert_encoding($show_txt,'UTF-8', 'EUC-JP'), $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_class_reg/ad_cl_men_list.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);
$show_data = str_replace(':TEA_NAM_REP:', $teacher_nam, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':DATA_LIST:', $show_txt, $show_data);

echo $show_data;
?>