<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../util/post_util.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
require_once '../../data/table_access.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
} else {
	$material_title = "";
	$action_file = "confirm_mat.php";
	$material_url = "";
	$url_visible = "inline";
	$list_visible = "none";
	$comment="";
	$for_del= "";
	$for_up = "";
	$department_sel = "";
	$material_id = "";
	$action_type = "insert";
	$department_id = "";

	if (isset($_GET["material_id"]) && is_numeric($_GET["material_id"])) {
		$material_id = $_GET["material_id"];
		$action_type = "update";
		$material_object = new CMaterialTableAccess();
		$material_data = $material_object->getDetailMat($conn,$material_id);
		if ($material_data <> false) {
			$material_title=htmlspecialchars($material_data["material_title"],ENT_QUOTES);
			$material_url=htmlspecialchars($material_data["material_url"],ENT_QUOTES);
			$comment=htmlspecialchars($material_data["material_comment"],ENT_QUOTES);
			$department_id = $material_data["department_id"];
		} else {
			$err_msg .= "NO DATA";
		}
	}
	$dep_object = new CCreateDepSelect($conn);
	$dep_object->setDataForInput();
	$department_sel = $dep_object->getPullDown("department_id", $department_id);

	$file_list = "";
	$res_dir = opendir(DOC_ROOT."material/");
	while ($file_name = readdir($res_dir)) {
		if ($file_name != "." && $file_name != ".." && is_file(DOC_ROOT."material/".$file_name)) {
			$file_list .= "<input type='radio' name='urlselect' value='";
			$file_list .= htmlspecialchars($file_name,2)."'>";
			$file_list .= "<a href='#' onclick=\"javascript:window.open('".LOCAL_URL."material/".htmlspecialchars($file_name,2)."','material', 'width=400, height=300, menubar=no, toolbar=no, scrollbars=yes');\">";

			if (mb_eregi("\.ppt|\.pptx|\.odp|\.pdf|\.doc|\.docx|\.odt|\.xsl|\.ppsx|\.sldx$",$file_name)) {
			$file_list .= "<iframe src='http://docs.google.com/gview?url=".LOCAL_URL."material/".htmlspecialchars($file_name,2)."&embedded=true' STYLE='zoom:50%' Scrolling='no'></iframe>";
			} else {
			$file_list .= "<iframe src='".LOCAL_URL."material/".htmlspecialchars($file_name,2)."' STYLE='zoom:50%' Scrolling='no'></iframe>";
			}
			$file_list .= htmlspecialchars($file_name,2)."</a>";
			$file_list .= "<br/>";
		}
	}
	if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
	$show_data = file_get_contents(TEMPLATE_DIR.'ad_material_reg/material_form.tpl');
	$show_data = str_replace(':FILE_LIST_REP:',$file_list,$show_data);
	$show_data = str_replace(':FILE_NAME:',$action_file,$show_data);

	$show_data = str_replace(':MAT_TITLE_REP:',$material_title,$show_data);
	$show_data = str_replace(':MAT_URL_REP:',$material_url,$show_data);
	$show_data = str_replace(':MAT_URL_TEXT_DISPLAY_REP:',$url_visible,$show_data);
	$show_data = str_replace(':MAT_PAGE_LIST_DISPLAY_REP:',$list_visible,$show_data);
	$show_data = str_replace(':COMMENT_REP:',$comment,$show_data);

	$show_data = str_replace(':ACT_TYPE_REP:',$action_type,$show_data);
	$show_data = str_replace(':UP_ID_REP:',$material_id,$show_data);
	$show_data = str_replace(':DEPARTMENT_SEL_REP:',$department_sel,$show_data);

	$show_data = str_replace(':ERR_MSG:',$err_msg,$show_data);
	$show_data = str_replace(':FOR_DEL:',$for_del,$show_data);
	$show_data = str_replace(':FOR_UP:',$for_up,$show_data);


	echo $show_data;
}
?>