<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
} else {
	$ses_arr = $_SESSION[SESSION_ADMIN];
	$err_msg = "";
	if (!isset($_POST["act_type"])) {
		$err_msg = "Parameter Error";
	} else {
		$material_object = new CMaterialTableAccess();
		if ($_POST["act_type"] == "insert") {
			if (!$material_object->insertMatData($conn,$_POST,$ses_arr["teacher_id"])) $err_msg = "Failed To Insert Data";
		} else if ($_POST["act_type"] == "update") {
			if (!$material_object->updateMatData($conn,$_POST,$ses_arr["teacher_id"])) $err_msg = "Failed To Update Data";
		} else {
			$err_msg = "Parameter Error";
		}

	}
	if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
	if ($err_msg == "") {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/material_reg/index.php");
		exit;
	} else {
		echo "<font color='red'>".$err_msg."</font>";
	}
}

?>